
body {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    font-family: 'PingFangSC', 'helvetica neue', 'hiragino sans gb', 'arial', 'microsoft yahei ui', 'microsoft yahei', 'simsun', 'sans-serif' !important;
    /*font-family: "微软雅黑" , "宋体" ,Verdana, Poppins;*/
    /*word-break: break-all;*/
    color: #343434;
}

[lang]:lang(zh),
:lang(zh) body {
    font-family: 'PingFangSC', 'helvetica neue', 'hiragino sans gb', 'arial', 'microsoft yahei ui', 'microsoft yahei', 'simsun', 'sans-serif' !important;
}

[lang]:lang(ja),
:lang(ja) body {
    font-family: Tahoma, Verdana, 'ヒラギノ角ゴ Pro W3', 'Hiragino Kaku Gothic Pro', 'ＭＳ Ｐゴシック', sans-serif;
}

[lang]:lang(en),
:lang(en) body {
    font-family: 'PingFangSC', 'helvetica neue', 'hiragino sans gb', 'arial', 'microsoft yahei ui', 'microsoft yahei', 'simsun', 'sans-serif' !important;
}

/***new**/
/*.table .headers th {*/
/*    color: #6c757d;*/
/*    background-color: #f1f3fa;*/
/*    border-color: #eef2f7;*/
/*}*/


/* paginator_wrapper-------------------------------------------------- */
.paginator_wrapper {
    text-align: center;
    margin-bottom: 20px;
    margin-top: 20px;
}

.paginator_results {
    font-size: small;
    color: #aaaaaa;
    margin-top: 0.3em;
    display: block;
}

.paginator {
    font-size: small;
    margin-left: auto;
    margin-right: auto;
}

.paginator a,
.paginator .start,
.paginator .break,
.paginator .prev,
.paginator .next,
.paginator .end,
.paginator .thispage,
.paginator em span {
    padding: 8px 16px;
}

.paginator a,
.paginator a:link,
.paginator a:visited {
    border: solid 1px #ddd;
    background: #fff;
    text-decoration: none;
}

.paginator a:hover {
    border: solid 1px #6d6666;
    /*background-color: #3e5796;*/
    /*color: #ffffff;*/
    text-decoration: none;
}

.paginator .start {
    margin-right: 20px;
    background: #fff;
    color: #aaa;
}

.paginator .break {
    border: none;
    background: #fff;
    text-decoration: none;
}

.paginator .prev {
    margin-right: 20px;
    border: solid 1px #ddd;
    background: #fff;
}

.paginator .next {
    margin-left: 20px;
    border: solid 1px #ddd;
    background: #fff;
}

.paginator .end {
    margin-left: 20px;
    background: #fff;
    color: #aaa;
}

.paginator .thispage {
    border-color: #999;
    font-weight: bold;
    vertical-align: top;
    background: #fff;
    color: #343434;
}

.paginator em span {
    font-weight: bold;
}

/* for wicket paginator */

/* table sort for wicket */
.wicket_orderNone  a,
.wicket_orderUp  a,
.wicket_orderDown  a{
    padding-right:7px;
    color:#6c757d;
    line-height:1em;
}
.wicket_orderNone  a{
    background:url(../images/sortarrow.gif) right center no-repeat;
}
.wicket_orderUp  a{
    background:url(../images/sortarrow2.gif) right center no-repeat;
}
.wicket_orderDown  a{
    background:url(../images/sortarrow1.gif) right center no-repeat;
}

/*th {*/
/*background-color: #cccccc;*/
/*}*/

/*wicket-aa*/

div.wicket-aa {
    font-size: 12px;
    background-color: white;
    border-width: 1px;
    border-color: #cccccc;
    border-style: solid;
    padding: 2px;
    margin: 1px 0 0 0;
    text-align: left;
}

div.wicket-aa ul {
    list-style: none;
    padding: 2px;
    margin: 0;
}

div.wicket-aa ul li.selected {
    background-color: #FFFF00;
    padding: 2px;
    margin: 0;
}

.required {
    color: red;
}

/*Right menu*/

ul#menu {
    background-color: #f4f4f4;
}

ul#menu,
ul#menu ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

ul#menu div {
    display: block;
    padding-left: 3px;
}

ul#menu a {
    text-decoration: none;
    padding-left: 5px;
    display: block;
}

ul#menu li {
    padding: 0.5em 0 1.0em 0;
    background-position: 5px center;
    background-repeat: no-repeat;
    /*cursor: pointer;*/
}

ul#menu li.naviActive div a span {
    color: white !important;
}

ul#menu li.naviActive {
    color: white !important;
    background-color: #0088cc !important;
}

/*ul#menu li:hover {*/
/*background-color: #bbe3ef;*/
/*}*/
ul#menu li.item {
    padding: 0 !important;
}

.item.naviActive a {
    color: white !important;
    background-color: #0088cc !important;
}

.item.naviActive div {
    background-color: #0088cc !important;
}

.childUl {
    margin-top: 10px !important;
}

ul#menu li ul li a {
    padding: 0.5em 0 0.5em 1.5em;
    display: block;
    text-decoration: none;
    background-color: #d5d8e0;
    background-position: left top;
    background-repeat: no-repeat;
    color: #000000;
}

ul#menu li ul li:hover {
    background-color: #bbe3ef;
}

/*custom*/
.disabled {
    cursor: default;
    background-image: none;
    opacity: 0.65;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.feedbackPanelERROR span {
    color: #cc0000;
    background: url(/common/images/ico_attention_s.png) left center no-repeat;
    padding-left: 20px;
}

.warning {
    color: #EB1010;
}

.add {
    color: #009900 !important;
}


.modify {
    color: #0066ff !important;
}

.delete {
    color: #999999 !important;
    text-decoration: line-through !important;
}

.published {
    color: var(--ct-table-color-state,var(--ct-table-color-type,var(--ct-table-color))) !important;
}

.retractions {
    color: #999999 !important;
}

.lock {
    color: #ff0000 !important;
}

.warnmsg {
    color: #EB1010;
}


/*.publish_b{*/
/*background-color: #468847;*/
/*}*/

/*.interrupt_b{*/
/*background-color: #999999;*/
/*}*/
/*.preview_b{*/
/*background-color: #3a87ad;*/
/*}*/
/*.error_b{*/
/*background-color: #b94a48;*/
/*}*/

/*.approval_waiting_b{*/
/*background: url(/common/images/big-ajax-loader.gif);*/
/*}*/
/*.publish_waiting_b{*/
/*background-color: #333333;*/
/*}*/

/*.publishing_b{*/

/*}*/
/*.processing_b{*/

/*}*/
/*.reject_b{*/
/*background-color: #f89406;*/
/*}*/

.clear {
    clear: both;
    border: none;
    margin: 0;
    padding: 0;
}

.with20px {
    width: 100px;
}

.domainList {
    /*min-width: 120px;width: 135px;*/
    /*overflow: auto;*/
}

/*.headers {*/
/*    color: #464F5C;*/
/*    overflow: hidden;*/
/*    border-bottom: 1px solid #ccc;*/
/*    background: url("/common/images/table-header.png") repeat-x scroll 0 5px #f3f3f3;*/
/*}*/

.pagingTab {
    border: 1px solid #cebdbd;
    border-bottom: none;
    background: #e8e8e2;
}

.pagingTabActive {
    background: none;
}

.naviActive {
    background-color: #0088cc;
}

.chevronUpSpec {
    padding: 0.5em 0 0 0 !important;
}

.fileDataCell {
    text-align: center;
    padding-bottom: 15px;
    width: 180px;
    margin: auto;
    height: 180px;
}

.acePagingTitle {
    margin-right: 20px;
}

.acePagingClose {
    margin-left: -25px;
    z-index: 4;
    position: absolute;
}

a[disabled=disabled] {
    background-color: #0088cc;
    color: white !important;
}

/*******************************layout********************************************/
.ui-layout-pane {
    /*background: #FFF;*/
    border: 1px solid #BBB;
    padding: 10px;
    overflow: auto;
}

.ui-layout-resizer {
    background: #DAE7F2;
    border-top: 1px solid #8AAFBE;
    border: 1px solid #8AAFBE;
    border-width: 0;
}

/*.modal-backdrop, .modal-backdrop.fade.in {*/
/*    opacity: 0.1 !important;*/
/*    filter: alpha(opacity=80) !important;*/
/*}*/

.navbar-inner {
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    border-radius: 0;
}

.dataCellBox {
    float: left;
    margin: 5px;
}

.boxContainer {
    overflow: hidden;
}

/* clearfix */
.boxContainer:before,
.boxContainer:after {
    content: "";
    display: table;
}

.boxContainer:after {
    clear: both;
}

/* For IE 6/7 (trigger hasLayout) */
.boxContainer {
    zoom: 1;
}

.dataCellLabel {
    padding-top: 5px;
    max-height: 20px;
    margin-left: 5px;
}

.editorOptIco {
    margin-left: 5px;
    margin-top: 5px;
}

.ace_selected-word {
    background: #eae222 !important;
}

.iphonePreviewIframe {
    background: url(/common/images/iphone.svg);
    width: 370px;
    height: 707px;
}

.tabletPreviewIframe {
    background: url(/common/images/ipad.svg);
    width: 871px;
    height: 1242px;
    margin: 20px auto;
}

.iphoneEastContainerIframe {
    width: 335px;
    height: 495px !important;
    position: relative;
    margin: 106px 0 0 20px;
}

.tabletEastContainerIframe {
    width: 783px;
    height: 1038px !important;
    margin: 106px 0 0 44px;
}

.img-polaroid {
    max-width: 160px;
    max-height: 160px;
    margin-top: 10px;
}

.configPreview li {
    margin-bottom: 5px;
    text-align: left;
    margin-left: 40%;
}

/****editor navi page**/
ul.tabs {
    list-style: none;
    margin: -7px 0 -1px 15px;
    padding: 0 0 0 5px;
    /*font-family: "Ubuntu Mono", monospace;*/
    overflow: hidden;
}

ul.tabs li {
    font-size: 11pt;
    color: #777;
    cursor: pointer;
    margin: 0 2px 0 0;
    padding: 2px 10px 5px;
    border: 1px solid silver;
    border-bottom-width: 0px;
    background: #e8e8e8;
    display: inline-block;
    z-index: 1;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    position: relative;
}

ul.tabs li:hover {
    color: #444;
}

ul.tabs li.selected {
    background: white;
    color: #222;
    z-index: 3;
    cursor: default;
}

ul.tabs li:before,
ul.tabs li:after {
    position: absolute;
    bottom: 0;
    width: 6px;
    height: 6px;
    content: " ";
    border: 1px solid silver;
}

ul.tabs li:before {
    left: -7px;
    border-bottom-right-radius: 6px;
    border-width: 0 1px 1px 0;
    box-shadow: 2px 2px 0 #e8e8e8;
}

ul.tabs li:after {
    right: -7px;
    border-bottom-left-radius: 6px;
    border-width: 0 0 1px 1px;
    box-shadow: -2px 2px 0 #e8e8e8;
}

ul.tabs li.selected:before {
    box-shadow: 2px 2px 0 white;
}

ul.tabs li.selected:after {
    box-shadow: -2px 2px 0 white;
}

/***common****/
#previewPane {
    padding-left: 15px;
    padding-top: 5px;
    text-align: center;
}

.tree-rightclick-bg {
    background-color: #9fc5e8;
}

/*tree-theme-windows----start------------------*/

.tree-theme-windows div.tree-subtree {
    margin: 0 0 0 18px;
    padding: 0
}

.tree-theme-windows div.tree-branch {
    margin: 0;
    padding: 0
}

.tree-theme-windows div.tree-branch-mid {
    background-image: none;
    background-position: -54px center;
    background-repeat: repeat-y
}

.tree-theme-windows .tree-junction {
    display: block;
    float: left;
    width: 18px;
    background-image: none;
    background-position: -36px center;
    background-repeat: no-repeat
}

.tree-theme-windows .tree-junction-expanded {
    display: block;
    float: left;
    width: 18px;
    background-image: none;
    background-position: -18px center;
    background-repeat: no-repeat;
    text-decoration: none;
    margin-top: 10px;
}

.tree-theme-windows .tree-junction-collapsed {
    display: block;
    float: left;
    width: 18px;
    background-image: none;
    background-position: 0 center;
    background-repeat: no-repeat;
    text-decoration: none;
    margin-top: 10px;
}

.tree-theme-windows span.tree-content {
    display: block;
    margin-left: 18px
}

.tree-theme-windows table {
    border-spacing: 0;
    border-collapse: collapse
}

.tree-theme-windows tr.selected {
    background-color: #00e;
    color: #fff
}

.tree-theme-windows td {
    margin: 0;
    padding: 0
}

.tree-theme-windows span.tree-content a {
    color: black;
    text-decoration: none
}

.tree-theme-windows span.tree-content a:hover {
    text-decoration: underline
}

.tree-theme-windows span.tree-content .selected span.tree-label {
    background-color: #00e;
    color: #fff
}

.tree-theme-windows .tree-folder-other {
    padding-left: 22px;
    background-image: url(/common/icons/default_file.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-html {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_html.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-css {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_css.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-js {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_js_official.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-text {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_text.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-pdf {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_pdf.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}
.tree-theme-windows .tree-file-font {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_light_font.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-svg {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_svg.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-flash {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_flash.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-tpl {
    padding-left: 22px;
    background-image: url(/common/icons/ico_tpl.png);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-img {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_image.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-ts {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_typescript.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-json {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_json.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-scss {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_scss.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-xml {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_xml.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-vue {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_vue.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-jsx {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_reactjs.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-tsx {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_reactts.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-less {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_less.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-config {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_light_config.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-gitignore {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_git2.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-packagejson {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_package.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-doc {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_word2.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-xls {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_excel2.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-ppt {
    padding-left: 22px;
    background-image: url(/common/icons/file_type_powerpoint.svg);
    background-size: 16px;
    background-position: 0 50%;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-file-unknown {
    padding-left: 22px;
    background-image: url(/common/icons/default_file.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-junction-expanded {
    display: block;
    float: left;
    width: 14px;
    height: 14px;
    background-image: url(/common/images/glyphicons-halflings.png);
    background-position: -313px -119px;
    background-repeat: no-repeat;
    text-decoration: none;
    filter: opacity(75%);
}

.tree-theme-windows .tree-junction-collapsed {
    display: block;
    float: left;
    width: 14px;
    height: 14px;
    background-image: url(/common/images/glyphicons-halflings.png);
    background-position: -456px -72px;
    background-repeat: no-repeat;
    text-decoration: none;
    filter: opacity(75%);
}

.tree-theme-windows span.tree-content .selected span.tree-label {
    background-color: #4f4f9e;
    color: #fff !important;
    padding: 3px;
}

.tree-theme-windows .tree-folder-closed {
    padding-left: 22px;
    background-image: url(/common/icons/default_folder.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat
}

.tree-theme-windows .tree-folder-open {
    padding-left: 22px;
    background-image: url(/common/icons/default_folder_opened.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat
}

.tree-theme-windows .tree-tsfolder-open {
    padding-left: 22px;
    background-image: url(/common/icons/folder_type_typescript_opened.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat;
}

.tree-theme-windows .tree-tsfolder-closed {
    padding-left: 22px;
    background-image: url(/common/icons/folder_type_typescript.svg);
    background-position: 0 50%;
    background-size: 16px;
    background-repeat: no-repeat
}

/*目的让target的部分显示这样的背景色，参照intellij的显示*/
.tree-theme-windows > div > .tree-branch-last:nth-child(3) {
    background: #ffff001a;
}
/*tree-theme-windows----end------------------*/

.todoitem_remarks {
    color: #909090;
}

/**************bootstrap nav for button************************/
.nav-tabs > li > button {
    padding-top: 8px;
    padding-bottom: 8px;
    line-height: 20px;
    border: 1px solid transparent;
    -webkit-border-radius: 4px 4px 0 0;
    -moz-border-radius: 4px 4px 0 0;
    border-radius: 4px 4px 0 0;
}

.nav-tabs > li > button:hover,
.nav-tabs > li > button:focus {
    border-color: #eeeeee #eeeeee #dddddd;
    text-decoration: none;
}

.nav-tabs > .active > button,
.nav-tabs > .active > button:hover,
.nav-tabs > .active > button:focus {
    color: #555555;
    cursor: default;
    background-color: #ffffff;
    border: 1px solid #ddd;
    text-decoration: none;
    border-bottom-color: transparent;
}

/**todoitemedit*/
.todoItemMultipleChoice > label,
.todoItemRadioChoice > label {
    display: inline;
    margin-right: 15px;
}

.todoItemMultipleChoice > label > input,
.todoItemRadioChoice > input {
    margin-top: -2px;
    margin-right: 2px;
}

.todoItemEDropdown > select,
.todoItemEDropdown > div,
.todoItemEDropdown > div > div,
.todoItemEDropdown > div > div > div {
    display: inline;
}

.todoItemEditRadioCheck {
    padding: 10px;
    text-align: left;
    white-space: normal;
    background-color: #ffffff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, 0.2);
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px;
}

.todoItemValidateTd {
    width: 20%;
}

.btn-small-sort {
    padding: 0 2px 0 2px;
}

/***************************/
div.wicket-modal a.w_close {
    background-position: 120px 0;
}

.sort-icon {
    background: url(/common/jsonformat/img/jsoneditor-icons.png) -72px -72px;
    cursor: move;
    width: 24px;
    height: 24px;
    padding: 0;
    margin: 0;
    border: none;
}

.infiniteLoop {
    color: red;
    border: 1px solid #ccc;
    height: 20px;
    text-align: center;
    padding: 10px
}

.item-table-1 {
    width: 90%;
}

.item-table-2 {
    width: 55%;
}

.item-table-3 {
    width: 50%;
}

.item-table-4 {
    width: 45%;
}

.item-table-5 {
    width: 40%;
}

.item-table-6 {
    width: 35%;
}

.item-table-7 {
    width: 30%;
}

.item-table-8 {
    width: 30%;
}

.item-table-9 {
    width: 30%;
}

.item-table-10 .item-table-0 {
    width: 20%;
}

.myDragClass {
    background-color: #f7ffb0;
}
/*#groupNaviViewCon{*/
/*    position: absolute;*/
/*    background: white;*/
/*    z-index: 50;*/
/*    width: 98%;*/
/*    padding-left:10px;*/
/*}*/
.groupItemViewCon{
    padding: 0 20px 20px 20px;
}

/**log page **/
.log-line {
    margin: 4px;
    color: #70f147;
}

.log-status-error {
    color: red;
}

#logArea {
    padding: 5px 5px 30px 5px;
}

/*.log-line pre {*/
/*    color: #ea1038 !important;*/
/*}*/
.log-status-pre-info {
    color: #e6d8e0 !important;
    background-color: #000000 !important;
    padding: 0 !important;
    margin: 0 !important;
}

.log-status-pre-error {
    color: #ea1038 !important;
    background-color: #000000 !important;
    padding: 0 !important;
    margin: 0 !important;
}
.ace_gutter-cell.ace_breakpoint{
    border-radius: 20px 0px 0px 20px;
    /* Change the color of the breakpoint if you want */
    box-shadow: 0px 0px 1px 1px #248c46 inset;
}

.toplogo{
    width: 160px;
    margin-right: 0px;
    margin-top: 5px;
}


/*for vscode */
.titlebar-downloadvscode{
    margin-left: 10px;
    margin-right: 10px;
}
.codicon-aioc-nodeserver-run{
    margin-left:20px;
}
.titlebar-home > img {
    width: 120px;
    margin-left:5px
}

/*hyper custom*/
.nowrap {
    white-space: nowrap !important;
    word-break: keep-all !important;
}
.form-control{
   min-width: 150px;
}
.form-select{
    min-width: 150px;
}

.materialTableTitle {
    width: 80%
}

/** app min **/
/* PC端默认样式 */
.dropdown-item-position {
}

/* 手机端样式 */
@media screen and (max-width: 768px) {
    .dropdown-item-position {
        position: relative;
    }
}